org.gradle.language.swift

## Interface SwiftBundle

- All Superinterfaces:
    Named, SoftwareComponent, SwiftBinary

      @Incubating
      public interface SwiftBundle
      extends SwiftBinary

  An bundle built from Swift source.
  Since:
    4.3

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Provider<RegularFile>` | `getInformationPropertyList()` Defines the location of Info.plist.

    - ### Methods inherited from interface org.gradle.language.swift.SwiftBinary

      `getCompileImportPath, getLinkLibraries, getModule, getRuntimeLibraries, getSwiftSource, isDebuggable`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getInformationPropertyList

          Provider<RegularFile> getInformationPropertyList()

      Defines the location of Info.plist.